---
title: Composer Plugin Drupal Environment
repo: https://gitlab.lakedrops.com/composer/plugin/drupal-environment
issues: https://gitlab.lakedrops.com/composer/plugin/drupal-environment/-/issues
tags:
- composer
---
# Drupal Environment

This composer plugin builds all necessary directory structures for a Drupal project once during initial project creation or installation.

This plugin is required by the `lakedrops/drupal-development-environment` plugin and for developmnent environments there is nothing else you need to be doing.

However, if you want to use the mechanism also on other non-development stages to create all the directories and links for you, then you can add `lakedrops/drupal-environment` as a requirement also to the require section of the root project. When you then call `composer install --no-interaction --no-dev` it will also install this plugin and create the full structure required.

In addition, if you define the environment variable `LAKEDROPS_MODE_LIVE=live` before calling composer install, then you also get settings for a production site rather than a development stage.

## Configuration

You can overwrite default values of this plugin by adding the required parts into the `.lakedrops.yml` file in you project's root:

```yaml
lakedrops:
  chg-acl: FALSE
  webserver-username: www-data
  webserver-groupname: www-data
  filter_protocols:
    - http
    - https
    - ftp
    - news
    - nntp
    - tel
    - telnet
    - mailto
    - irc
    - ssh
    - sftp
    - webcal
    - rtsp
  cors_config:
    enabled: FALSE
    allowedOrigins: *
  db:
    driver: mysql
    namespace: Drupal\Core\Database\Driver\mysql
    database: example
    username: username
    password: password
    host: 127.0.0.1
    port: 3306
    prefix: ''
  domain: www\.example\.com
  live: FALSE
```
